
From: Paul Mackerras <paulus@samba.org>

This patch is from Amos Waterland <apw@us.ibm.com>.

In pmac_setup.c, the function init_boot_display as currently written only
makes sense with CONFIG_BOOTX_TEXT enabled, and causes a link error if it is
not enabled.

Signed-off-by: Amos Waterland <apw@us.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pmac_setup.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/pmac_setup.c~ppc64-fix-init_boot_display-link-error arch/ppc64/kernel/pmac_setup.c
--- 25/arch/ppc64/kernel/pmac_setup.c~ppc64-fix-init_boot_display-link-error	2005-03-07 20:41:25.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/pmac_setup.c	2005-03-07 20:41:25.000000000 -0800
@@ -244,7 +244,6 @@ static void btext_putc(unsigned char c)
 {
 	btext_drawchar(c);
 }
-#endif /* CONFIG_BOOTX_TEXT */
 
 static void __init init_boot_display(void)
 {
@@ -280,6 +279,7 @@ static void __init init_boot_display(voi
 			return;
 	}
 }
+#endif /* CONFIG_BOOTX_TEXT */
 
 /* 
  * Early initialization.
_
